Bug 905305 - Quantum service using OpenvSwicth has openvswitch as a dependency
Quantum service using OpenvSwicth has openvswitch as a dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-quantum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ihar Hrachyshka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 01:10 EST by Gary Kotton
Modified: 2014-10-06 06:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-06 06:31:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Kotton 2013-01-29 01:10:41 EST
Description of problem:
When installing Quantum service and using OVS as a plugin the openvswitch module is a dependency. This is not required as this is not a compute node


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Quantum service
2. Install OpenvSwicth plugin
3.
  
Actual results:
Openvswicth is a dependency

Expected results:
That is should not be


Additional info:
Comment 2 Bob Kukura 2013-01-29 09:44:01 EST
The openvswitch package is a dependency of the openstack-quantum-openvswitch package, which contains the openvswitch plugin and agent. Unless we split the plugin and agent into separate packages, then openvswitch should remain a dependency of openstack-quantum-openvswitch. I suggest we close this as not a bug, and if we really think its the right thing to do, file a different bug to split out each agent into a separate sub-package so that server-only installations have no unnecessary dependencies.
Comment 3 Bob Kukura 2013-01-29 09:54:06 EST
Just a note, splitting out the agents is a bit complicated. Either the agent packages depend on the server packages, or both the server and agent packages need to depend on a 3rd common package. 

To avoid all unnecessary dependencies on both server and compute nodes, we'd need something like the following for openvswitch:

openstack-quantum-openvswitch-common (requires openstack-quantum-common)

openstack-quantum-openvswitch-server (requires openstack-quantum-server, openstack-quantum-openvswitch-common)

openstack-quantum-openvswitch-agent (requires openstack-agent, openstack-quantum-openvswitch-common, openvswitch)

Following the same pattern for all the plugins plus the l2-agent, dhcp-agent, metadata-proxy-agent, ... would result in an explosion in the total number of packages. Teasing apart the source tree to put python modules in the most optimal sub-packages would also be significant work, possibly needing updates with each rebase.
Comment 4 amazonsx 2013-03-13 01:09:47 EDT
How to solve this problem?
Comment 5 Fedora End Of Life 2013-04-03 13:23:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Ihar Hrachyshka 2014-10-06 06:31:06 EDT
Introducing those -common packages is an overkill. There is nothing particularly bad in having openvswitch installed on controller, right? So let's not waste time on implementing the scheme proposed above.

Note You need to log in before you can comment on or make changes to this bug.